
Redmine - Feature #3876

ldap authentification without binding ? 

2009-09-15 21:40 - Anonymous

Status: Resolved Start date: 2009-09-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

I have a limitation within my LDAP server to avoid user for login more than one time on a Windows computer. So, when they are

connected to their Windows machine, they can't authenticate on Redmine using the LDAP auth source.

Is there a solution to authenticate a user with his login and his password without a ldap_con.bind ? Is it possible to do a search and

compare login/password to the LDAP database ?

Tx,

Pat

History

#1 - 2009-09-16 20:29 - Adam Piotr Żochowski

Why not just run NTLM/SSPI authentication?  Thomas Löber explains it greatly in http://www.redmine.org/boards/2/topics/127 .

Kind regards

Adam Żochowski

#2 - 2009-09-17 15:17 - Anonymous

i do konw nothing about NTLM/SSPI authentification. My Redmine server is running on a Linux box, not a Windows one.

#3 - 2009-09-17 17:06 - Adam Piotr Żochowski

Patrice Bonhomme wrote:

i do konw nothing about NTLM/SSPI authentification. My Redmine server is running on a Linux box, not a Windows one.

 Sorry, I assumed from your description that you wanted windows users to automatically login into Redmine, with same username/password as they

use to login to windows.  This is typically done with ntlm/sspi authentication (which would be similar to doing redmine ldap against Windows AD).

Please accept my apologies for misunderstanding you.

Kind regards

Adam Żochowski

#4 - 2009-10-06 19:31 - transit dk

Patrice,

I'm doing this using the patch from Adi (#1913). There was another patch by Will (#3253) that also added some other features to the LDAP

authentication.

-Brian

#5 - 2020-03-31 09:28 - Anonymous

- Status changed from New to Resolved
